## ros-eloquent-ecl-devices 1.0.7

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(ecl_devices)

##############################################################################
# Find Packages
##############################################################################

# Turn -isystem off. Actually like to see warnings from underlying packages
# and regardless, have run into trouble because of the ordering it induces.
set(CMAKE_NO_SYSTEM_FROM_IMPORTED TRUE)

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)
find_package(ecl_config REQUIRED)
find_package(ecl_containers REQUIRED)
find_package(ecl_errors REQUIRED)
find_package(ecl_mpl REQUIRED)
find_package(ecl_threads REQUIRED)
find_package(ecl_type_traits REQUIRED)
find_package(ecl_utilities REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

ament_package_xml()
ecl_enable_cxx14_compiler()

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

##############################################################################
# Exports
##############################################################################

# Downstream CMake3 compatibility 
ament_export_interfaces(HAS_LIBRARY_TARGET ${PROJECT_NAME})
# Downstream CMake2 compatibility
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_dependencies(
    ecl_config
    ecl_containers
    ecl_errors
    ecl_mpl
    ecl_threads
    ecl_type_traits
    ecl_utilities
)
ament_package()

=== include/ecl/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(devices)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION include/ecl)

=== src/test/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

macro(ecl_devices_add_gtest test_name)
  ament_add_gtest(ecl_test_${test_name} ${test_name}.cpp)
  if(TARGET ecl_test_${test_name})
    target_link_libraries(ecl_test_${test_name}
      ${PROJECT_NAME}
      ecl_config::ecl_config
      ecl_containers::ecl_containers
      ecl_errors::ecl_errors
      ecl_mpl::ecl_mpl
      ecl_threads::ecl_threads
      ecl_type_traits::ecl_type_traits
      ecl_utilities::ecl_utilities
    )
  endif()
endmacro()

###############################################################################
# Google Tests
###############################################################################

ecl_devices_add_gtest(shared_files)
ecl_devices_add_gtest(files)

=== debian/changelog ===
ros-eloquent-ecl-devices (1.0.7-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Mar 2020 04:53:45 -0000

ros-eloquent-ecl-devices (0.61.12-1bionic) bionic; urgency=high

  * apple baud rate 460800

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 May 2016 04:00:00 -0000

ros-eloquent-ecl-devices (0.61.1-1bionic) bionic; urgency=high

  * catch the error code as a hint for when fcntl calls fail on serial devices
  * additional baud rate enums for serial devices covering a wider range
  * deprecated a couple of serial device baud rates that are no longer valid

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Jul 2015 04:00:00 -0000

ros-eloquent-ecl-devices (0.61.0-1bionic) bionic; urgency=high

  * allow immediate socket reuse in the socket client/server
  * define an undefined baud rate for apple

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-eloquent-ecl-devices (0.60.8-1bionic) bionic; urgency=high

  * control new posix.1-2008 SIGPIPE signals, #34 <https://github.com/stonier/ecl_core/issues/34>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2014 05:00:00 -0000

ros-eloquent-ecl-devices (0.60.7-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000

ros-eloquent-ecl-devices (0.60.6-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-eloquent-ecl-devices
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-ecl-build, ros-eloquent-ecl-config, ros-eloquent-ecl-containers, ros-eloquent-ecl-errors, ros-eloquent-ecl-license, ros-eloquent-ecl-mpl, ros-eloquent-ecl-threads, ros-eloquent-ecl-type-traits, ros-eloquent-ecl-utilities, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/ecl_devices
Standards-Version: 3.9.2

Package: ros-eloquent-ecl-devices
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ecl-config, ros-eloquent-ecl-containers, ros-eloquent-ecl-errors, ros-eloquent-ecl-license, ros-eloquent-ecl-mpl, ros-eloquent-ecl-threads, ros-eloquent-ecl-type-traits, ros-eloquent-ecl-utilities, ros-eloquent-ros-workspace
Description: Provides an extensible and standardised framework for input-output devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-ecl-devices//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
